Comment installer une imprimante laser Brother HL2270dw?

27

Comment puis-je installer mon imprimante laser Brother HL2270dw? Il n'y a pas de pilotes disponibles dans le Software Center.

    
posée Josh 06.12.2012 - 23:16
la source

8 réponses

36
  1. Ouvrez un terminal: Ctrl + Alt + T
  2. Téléchargez le script d’installation du pilote:

    wget http://download.brother.com/welcome/dlf006893/linux-brprinter-installer-2.0.0-1.gz
    
  3. Décompressez le:

    gunzip linux-brprinter-installer-2.0.0-1.gz
    
  4. Exécuter en tant que root:

    sudo bash linux-brprinter-installer-2.0.0-1
    
  5. Entrez HL2270-DW comme "nom du modèle", puis y pour continuer

  6. À la question "Voulez-vous spécifier le DeviceURI?" choisissez "Non" pour la connexion USB ou "Oui" pour la connexion réseau.
réponse donnée Eric Carvalho 06.12.2012 - 23:39
la source
1

Je sais qu'une tonne de personnes a eu de gros problèmes pour que cette imprimante fonctionne à la fois avec Ubuntu et Mint, donc je pensais que cela passerait parce que c'est très indolore. J'ai trouvé le script ci-joint (en suivant les instructions) dans un forum Ubuntu quelque part (j'oublie exactement où), ce qui a fonctionné pour Ubuntu 12.04 et Mint Cinnamon 13 (versions 64 bits). tant que l'imprimante est déjà sur votre réseau (j'ai installé le mien sur ma partition Windows 7), cela devrait fonctionner. copiez et collez simplement l'exemple de code ci-dessous dans un document texte vide et enregistrez-le sous le nom PrinterInstall.sh. Ensuite, lancez l'application depuis le terminal avec:

sudo ./PrinterInstall

Il se peut que vous ayez besoin de bsdtar pour exécuter le script, installez-le simplement avec:

sudo apt-get install bsdtar

puis exécutez à nouveau ./PrinterInstall .

Le terminal vous demandera où se trouve votre répertoire init.d. Cochez simplement les choix de votre navigateur de fichiers pour confirmer l’un ou l’autre.

Ensuite, allumez l’imprimante et lancez la commande suivante depuis le terminal:

system-config-printer

Lorsque l'interface graphique de configuration s'ouvre, cliquez avec le bouton droit sur l'imprimante et sélectionnez «propriétés». Sous l'URI du périphérique, cliquez sur "Modifier" - & gt; imprimante réseau - & gt; sélectionnez l'option premier frère - & gt; appliquer

ça y est!

code script ci-dessous:

#!/bin/bash
# Brother HL-2270DW printer install tested on arch and ubuntu 12.04
# https://bbs.archlinux.org/viewtopic.php?id=109570
# https://bugs.gentoo.org/show_bug.cgi?id=285166#c12
# http://github.com/willejos/bash

[[ $UID -ne 0 ]] && echo "Must run as root" && exit 1

which bsdtar > /dev/null
if [ $? == 1 ]; then
  echo "you need to install bsdtar before running this script"
  exit 1;
fi

which perl > /dev/null
if [ $? == 1 ]; then
  echo "you need to install perl before running this script"
  exit 1;
fi

echo -e "\nMake sure cups is running before proceeding...\n"
read -p "Hit any button to continue." -n 1

echo -e "\n\nWhere's your init script directory?"
echo -e "1. /etc/init.d/\n2. /etc/rc.d/"
read -p "(Select 1 or 2): " INIT_DIR
while [[ $INIT_DIR != 1 && $INIT_DIR != 2 ]]; do
  read -p "Where's your init script directory? (choose 1 or 2): " INIT_DIR
done

START_DIR=$(pwd)
mkdir br_tmp && cd br_tmp
wget http://www.brother.com/pub/bsc/linux/dlf/hl2270dwlpr-2.1.0-1.i386.rpm
wget http://www.brother.com/pub/bsc/linux/dlf/cupswrapperHL2270DW-2.0.4-2.i386.rpm

if [[ ! -f hl2270dwlpr-2.1.0-1.i386.rpm || ! -f cupswrapperHL2270DW-2.0.4-2.i386.rpm ]]; then
  echo -e "One or both files not found: \n  hl2270dwlpr-2.1.0-1.i386.rpm \n  cupswrapperHL2270DW-2.0.4-2.i386.rpm \n\n Was there a problem with the download?"
  exit 1;
fi

# extract and check directories exist
bsdtar -xf hl2270dwlpr-2.1.0-1.i386.rpm
bsdtar -xf cupswrapperHL2270DW-2.0.4-2.i386.rpm
HL_DIR=""$START_DIR"/br_tmp/usr/local/Brother/Printer/HL2270DW/inf/"
CUPS_DIR=""$START_DIR"/br_tmp/usr/local/Brother/Printer/HL2270DW/cupswrapper/"
if [[ ! -d "$HL_DIR" || ! -d "$CUPS_DIR" ]]; then
  echo "rpm extraction failed"
  exit 1
fi

# in-place edit files
cd "$HL_DIR"
perl -pi -e 's/printcap.local/printcap/g' setupPrintcap2
if [ "$INIT_DIR" == "2" ]; then
  cd "$CUPS_DIR"
  perl -pi -e 's/init.d/rc.d/g' cupswrapperHL2270DW-2.0.4
fi

# copy files to system and install cupswrapper
cd "$START_DIR"/br_tmp/
cp -ri usr/* /usr/
cp -ri var/* /var/
cd ../ && rm -rf br_tmp

echo -e "If I hang here, be patient....\n"
/usr/local/Brother/Printer/HL2270DW/cupswrapper/cupswrapperHL2270DW-2.0.4 || exit 1

echo -e "\nNext steps: "
echo "Make sure printer shows up in cups config @ http://127.0.0.1:631"
echo "Edit /etc/cups/printers.conf and change the DeviceURI from ‘usb:xxxxx’ to ‘file:///dev/usb/lp0′ (or usb/lp1 or whatever exists, no quotes)."
echo -e "Restart cups\n"
    
réponse donnée user151631 22.05.2013 - 18:54
la source
1

J'ai un billet de blog sur l'installation de l'imprimante pour l'impression sans fil wifi dans Ubuntu 12.04 64 bit. Notez que ma version est spécifique et seulement testée pour la version 64 bits d'Ubuntu. Brother n'inclut pas les pilotes 64 bits pour les pilotes HL-2270DW, mais j'ai corrigé les pilotes pour les faire fonctionner avec la version 64 bits. Les pilotes corrigés permettent d'accéder à TOUTES les fonctionnalités de l'imprimante. Le lien est lien

Étapes:

1. Téléchargez les pilotes corrigés pour travailler avec Ubuntu 64 bits à partir du lien ci-dessus. Vous pouvez également les patcher vous-même en utilisant la ligne de commande et les instructions du site Web de Brother.
2. Ouvrez une fenêtre de terminal "ctrl + alt + t"
3. changer dans le répertoire où les fichiers ont été téléchargés
4. Entrez les deux commandes suivantes dans la fenêtre du terminal.

sudo dpkg -i --force-all hl2270dwlpr-2.1.0-1a.i386.deb<code>  
sudo dpkg -i --force-all cupswrapperHL2270DW-2.0.4-2a.i386.deb<code>

L'impression USB devrait maintenant fonctionner. Si vous souhaitez configurer l’impression wifi ou ethernet, vous devrez configurer CUPS. J'ai des instructions avec des images sur mon blog.

    
réponse donnée user125433 23.01.2013 - 13:29
la source
1

La réponse d’Eric Carvalho a bien fonctionné, avec un seul qualificatif: l’emplacement de téléchargement ne fonctionnait pas pour moi. On dirait que peut-être que Brother a réorganisé leurs téléchargements. Ma première étape a été de télécharger manuellement, à partir du site de support de Brother:

- allez sur brother.com (pour moi, cela redirige vers brother-usa.com) --click Support - Entrez HL-2270DW dans le numéro de modèle, puis cliquez sur Rechercher --dans les téléchargements et pilotes, cliquez sur les téléchargements de notre centre de solutions --sélectionnez l'OS (linux) et la version (deb) --Cliquez sur l'outil d'installation du pilote - accepter le contrat de licence

Il s’agit d’un fichier minuscule, il ne faudra donc pas beaucoup de temps pour le télécharger.

Maintenant, décompressez et exécutez le script indiqué par M. Carvalho. Travaillé parfaitement pour moi.

    
réponse donnée Craig Lewis 18.03.2015 - 17:18
la source
1

Il vous attend pour specify the Device URI? et vous propose de choisir parmi les 11 manières dont il sait qu'une imprimante pourrait être connectée. Il pense que vous voudrez le choix 11 (A): Auto. (usb://dev/usblp0) , donc il a pré-rempli le champ, et attend que vous ayez à frapper Enter pour accepter le choix 11 , ou pour spécifier votre propre choix et appuyez sur Enter . Si votre imprimante est connectée via USB, 11 (A): Auto. (usb://dev/usblp0) est le choix que vous souhaitez.

    
réponse donnée waltinator 29.11.2015 - 18:46
la source
0

Voici mes notes d’installation sous 14.04 (64 bits). Je ne sais pas que toutes ces étapes sont nécessaires. Je l'ai installé en tant qu'imprimante réseau.

J'ai lancé un script de Brother: linux-brprinter-installer-2.0.0-1

dans le fichier téléchargé: linux-brprinter-installer-2.0.0-1.gz de support.brother.com. Cela a semblé fonctionner avec succès et installer différents paquets.

J'ai téléchargé deux autres fichiers sur leur site Web:

  • cupswrapperHL2270DW-2.0.4-2a.i386.deb

  • hl2270dwlpr-2.1.0-1a.i386.deb

J'ai utilisé Synaptic pour voir si elles avaient été installées par le script ci-dessus.

cupswrapperHL2270DW-2.0.4-2 apparaît comme étant installé.

Utilisé le centre logiciel pour installer les versions "a" et hl2270 * a.i386.deb.

Je l’ai installé en dépit du fait que le centre logiciel avertissait qu’il était "de mauvaise qualité".

Redémarrage de l’ordinateur et mise sous / hors tension de l’imprimante.

Paramètres système utilisés> Imprimantes & gt; Ajouter une imprimante & imprimante; Imprimante réseau

En cliquant sur le bouton Rechercher (avec un hôte vide), vous obtenez deux Brother HL-2270DW, l’un d’adresse IP.

Pour celle-ci, la description dit imprimante réseau AppSocket / JetDirect via DNS-SD

L'autre indique l'imprimante réseau LPD avec l'hôte BRW008092BA5199 et la file d'attente Binary_P1

J'essaie celui avec une adresse IP. Maintenant, sous les pilotes d'imprimante, j'ai HL-2270DW pour CUPS que je n'avais pas avant.

Sélectionnez cette option. La page de test a fonctionné.

    
réponse donnée user75505 02.09.2014 - 00:47
la source
0

Ces notes fonctionnent avec Kubuntu et Linux Mint 17.1.

Obtenez les packages brgenml1lpr-3.1.0-1.i386.deb et brgenml1cupswrapper-3.1.0-1.i386.deb à partir de lien

sudo apt-get install apparmor-profiles lib32z1
sudo dpkg -i ~/packages/brother_printer/brgenml1lpr-3.1.0-1.i386.deb 
sudo dpkg -i ~/packages/brother_printer/brgenml1cupswrapper-3.1.0-1.i386.deb 

utilisez maintenant la fenêtre de configuration de l'imprimante KDE ou Mint / Gnome pour supprimer l'imprimante USB installée automatiquement qui n'existe pas, puis installez le HL-2270DW à l'aide du pilote BrGenML1.

L’imprimante doit être détectée automatiquement. Si ce n'est pas le cas, utilisez l'URI ci-dessous.

définir Duplex DuplexNoTumble pour imprimer des deux côtés de la page, en retournant sur le bord long

URI: lpd: // (adresse IP de l’imprimante) / binary_p1

    
réponse donnée pjsanfil 15.02.2015 - 18:32
la source
0

J'ai essayé les instructions au début de ce post mais quand je suis arrivé à la fin, c'est à dire Lorsqu'on lui a demandé "Voulez-vous spécifier le DeviceURI?" choisissez "Non" pour la connexion USB ou "Oui" pour la connexion réseau. On m'a donné une liste de onze URI parmi lesquelles choisir, mais rien de tout cela n'avait de sens pour moi en tant qu'utilisateurs néophites d'Ubuntu. Voir ci-dessous:

Will you specify the Device URI? [Y/n] ->Y

0: socket
1: http
2: ipp
3: https
4: ipps
5: lpd
6: ipp14
7: hp
8: hpfax
9: smb
10 (I): Specify IP address.
11 (A): Auto. (usb://dev/usblp0)

select the number of destination Device URI. ->11

Il semble que ces instructions se soient terminées à mi-parcours et je ne peux donc pas continuer.

Bob Thomson Ottawa Canada

    
réponse donnée BobT 05.11.2015 - 06:21
la source

Lire d'autres questions sur les étiquettes